#include <iostream>
#include <set>
#include <unordered_map>

using namespace std;

int main ( void )
{
    std::set<pair<int,int>> stars;
    size_t sum = 0;
    int n;
    cin >> n;
    while (n--)
    {
        int x, y;
        cin >> x >> y;
        stars.emplace(x,y);
    }
    for(auto it = stars.begin(); it != stars.end();)
    {
        for(auto itt = it++; itt != stars.end(); ++itt)
        {
            std::set<pair<int, int> > visited;
            auto vec = make_pair(it->first - itt->first, it->second - itt->second);
            for(auto star = stars.begin(); star != stars.end(); ++star)
            {
                if( stars.count(std::make_pair(star->first + vec.first,
                                                 star->second + vec.second) ) )
                    visited . emplace( *star );
            }
            if( visited == stars )
                sum ++;
        }
    }
    std::cout << sum << std::endl;
    return 0;
}