#include <iostream>
#include <set>
using namespace std;

int main ( void )
{
    std::set<pair<int,int>> stars;
    size_t sum = 0;
    int n;
    cin >> n;
    while (n--)
    {
        int x, y;
        cin >> x >> y;
        stars.emplace(x,y);
    }
    set<pair<int,int>> vectors;
    for(auto it = stars.begin(); it != stars.end(); ++it)
    {
        for(auto itt = std::next(it,1); itt != stars.end(); ++itt)
        {
            std::set<pair<int, int> > visited;
            auto vec = make_pair(it->first - itt->first, it->second - itt->second);
            if(vectors.find(vec) != vectors.end())
                continue;
            vectors.insert(vec);
            for(auto star = stars.begin(); star != stars.end(); ++star)
            {
                if( stars.find(std::make_pair(star->first + vec.first, star->second + vec.second) ) != stars.end() )
                {
                    visited . emplace( *star );
                    visited . emplace(star->first + vec.first,  star->second + vec.second);
                }
            }
            if( visited == stars )
                sum ++;
        }
    }
    std::cout << (sum * 2 ) << std::endl;
    return 0;
}